OS X 10.10 YosemiteはMac mini Early 2009で動くのか


mac_mini_old俺の現在の愛機はMac mini Early 20091でして、ギリギリOS X 10.9 Mavericksの動作対象なのです。そこで気になるのが、果たしてOS X 10.10 Yosemiteはこのマシンで動くのか?という点。

Will my Mac run OS X 10.10 Yosemite? | ZDNet : www.zdnet.com/will-my-mac-run-os-x-10-10-yosemite-7000030217/

上記の記事によりますと、Yosemiteの動作対象機種はMavericksのそれと変わらないようです。つまり、ギリギリセーフ。

……ただし。

皆さんご存知のように、古い機種では現状でもAirDropが動作しません。そして、Yosemiteの目玉機能のひとつである“Continuity”はこのAirDropを発展させたものと考えられます。

つまり、「Mac mini Early 2009ではYosemiteは動作はするが、売りの機能であるiOSデバイス等との連携機能(Hand Off、Instant Hotspot等)が利用できない」可能性があるのではないかと。

そこで気になるのがこちらの記事です。

Apple still finalizing support for Continuity features on older Macs, Bluetooth LE adapters a possibility | 9to5Mac : 9to5mac.com/2014/06/20/apple-still-finalizing-support-for-continuity-features-on-older-macs-bluetooth-le-adapters-a-possibility/

要約すると、「Continuity機能はBluetooth 4.0 LEに依拠しているので、同規格に非対応の古いMacでは利用できないことになるかも」「ただし、サードパーティ製のBluetooth 4.0 LE対応アダプタを使えば利用できる可能性もある」てな話です。

Bluetooth 4.0 LE対応のアダプタはAmazonなどで検索すれば数機種見つかりますし、安価ですぐ入手できそうなのです。例えばこちらなどは、最近のMacの内蔵モジュールと同じチップが使われているので、互換性はバッチリかと。

I-O DATA Bluetoothアダプター Class 2対応 4.0+EDR/LE対応 USBアダプター USB-BT40LE I-O DATA Bluetoothアダプター Class 2対応 4.0+EDR/LE対応 USBアダプター USB-BT40LE
レビューを見る
欲しいものリストに追加
価格:1213円 在庫あり。powered by Amazon.co.jp

 

問題は「内蔵Bluetoothモジュールとの共存はできない」という点。内蔵モジュールを物理的に殺すか、あるいはDeveloper Connectionから入手できる“Hardware IO Tools”に含まれている“Bluetooth Explorer”でホストコントローラの選択を変更するか2

以上、Yosemiteのパブリックベータが公開されたら是非検証してみたいと思う次第。

 

【2014/10/22追記】OS X Yosemite:iOS 8デバイスとの、Instant Hotspot、Handoff、AirDropは、Bluetooth 4.0(BLE)仕様のMacでのみ利用可能 | Mac OS X | Macお宝鑑定団 blog(羅針盤) : www.macotakara.jp/blog/mac_os_x/entry-24900.html によると、Bluetooth 4.0 LE対応アダプタを使ってもHand OffやInstant Hotspotは利用できないようですね。残念…


 

  1. HDDと光学ドライブは外してSSD×2に換装済み
  2. ただしこの場合、Macを再起動すると設定が元に戻ってしまうようです